详细更新请看英文changelog.txt
=============================
v0.61    2005.1.8
    界面改进: 新添频道功能
    界面改进: BCTP链接添加了BT任务启动时自动开始预览的选项
    界面改进: BCTP链接添加了播放http/mms/rtsp流媒体的选项
    界面改进: 内嵌浏览器支持xp主题风格
    界面改进: 内嵌浏览器禁止弹出脚本调试窗口
    界面修正: 修正了调用外部IE显示网页时可能导致的缓冲区溢出漏洞
    界面修正: 修正了部分界面中剪贴板快捷键失效的问题
    核心改进: BT下载预览功能新增对wmv/asf格式文件的支持
    核心改进: 新增播放wmv/rmvb格式的http/mms/rtsp流媒体功能
    核心修正: 修正了因允许用户来源交换，可能导致的将private任务加入DHT网络的问题
    核心修正: 修正程序退出删除端口映射时遗漏udp映射的问题

v0.60    2005.9.8
    界面改进: 新增附件工具：视频解码器安装向导
    界面改进: 文件菜单添加打开BCTP/HTTP链接命令
    界面改进: 任务属性新增任务BCTP链接显示页
    界面改进: 增加老板键设置功能
    界面改进: 增加选项以选择是否屏蔽torrent文件下载确认对话框
    界面改进: 增加选项以选择是否显示任务删除确认对话框
    界面改进: 制作任务时分块大小新增2/4/8MB选项
    界面改进: 网页链接可在内部浏览器打开
    界面修正: 修正任务列表排序后，多选时删除错位问题
    界面修正: 修正win2k自动关机功能
    核心改进: 增加视频文件下载过程中预览功能（重要更新）
    核心改进: 支持通过BCTP链接从DHT网络下载Torrent文件（重要更新）
    核心改进: 增加协议头加密传输选项
    核心改进: 增加"优先"使用UDP内网互联选项

v0.59    2005.6.8
    界面改进: 增加搜索按钮搜索BT网站
    界面改进: 取消"浏览"按钮的下拉菜单
    界面改进: 所有连接用外部默认浏览器打开
    界面改进: 改进了帮助菜单
    界面改进: 状态栏添加DHT网络状态指示小灯
    界面改进: 种子文件制作增加3种服务器模式的选项
    界面改进: 增加可选搜索工具栏组件
    界面修正: 修正设置速度的数字输入处理问题
    核心改进: 支持连入DHT网络实现无Tracker下载（重要更新）
    核心改进: ICF/UPNP映射增加UDP端口
    核心改进: 支持种子文件的private标记
    核心改进: 支持Tracker返回private标记
    核心修正: 修正0.57,0.58特有的的UPNP映射问题

v0.58    2005.5.6
    界面改进: 添加删除任务确认对话框
    界面改进: 任务属性页面里保存位置下拉选单添加了默认下载目录
    界面改进: 增加中文xml安装提示对话框
    界面修正: 任务完整性扫描线程优先级可调
    界面修正: "添加任务不提示窗口"时若任务里有多个文件，则下载位置为默认下载目录的子目录
    界面修正: 暂停时禁止修改任务保存位置
    界面修正: 自动停止的任务无法上传
    界面修正: 修正win98/me自动关机功能
    界面修正: 修正dde操作，可直接从ie或资源管理器由torrent文件关联启动bc
    核心改进: 任务属性里增加一个peer info exchange enable的选项
    核心修正: UDP tracker的DNS解析造成2秒没有响应
    核心修正: 一组tracker中含有的UDP tracker不能连接时不能正确切换
    核心修正: 用户桌面锁定时无法自动关机
    核心修正: 修正非正常关闭程序时，"启动时自动继续下载上传任务"失效
    核心修正: 修正一个连接不稳定时可能造成崩溃的问题

v0.57    2005.3.5
    界面改进: 增强了老板键 Alt+` 
    界面改进: 增强了内嵌的浏览器
    界面改进: 任务属性对话框可调整大小或最大化
    界面改进: 允许添加任务时不出现提示窗口
    界面改进: 打开torrent文件时允许多选
    界面改进: 任务列表支持排序
    界面改进: 上传任务增加分类管理
    界面改进: 增加IE收藏夹
    界面修正: 用电池供电时不阻止系统进入挂起/休眠即使该选项已经打开。
    界面修正: 修正了IE窗口剪贴板操作无效的问题
    界面修正: 当修改torrent编码时存储位置被重置(感谢ericbo)
    界面修正: 剩余时间大于24小时的时候显示不正确(感谢u1ookingatme)
    界面修正: Torrent备注中多加空行的问题
    界面修正: 最大同时连接发起不能设置得更小的问题
    界面修正: 广告菜单语言变化时的重载问题修正
    核心修正: 多个任务一起重新检查完整性时，检查完前一个任务不会自动检查下一个任务(感谢njiayu)
    核心修正: UPNP设备/服务查找算法修正
    核心修正: 5Q教育网优化
    核心修正: 修正了打开下载完成后检查可能导致自动停止失败的问题
    核心修正: 任务运行时修改优先级不能正确创建文件目录(感谢maxbkk)
    核心修正: IP规则在内网互联中失效的问题(感谢tianle)
    核心修正: 新添任务如果在排队中关闭BC导致优先级设置丢失(感谢hdll)
    核心修正: 修正一个上传选择算法中的问题，可能解决部分用户下载过慢的问题
    核心修正: 修正了UDP服务期的重试间隔保持10s的问题

v0.56    2004.9.23
    界面修正: 当选择多用户后点其它地方导致用户列表界面停止自动更新(感谢邓景仁)
    界面修正: 将系统时间向前调产生错误(感谢baul)
    核心改进: 自动检测XPSP2下打过补丁的tcpip.sys的设置
    核心改进: 进一步改进了内网互联的效率
    核心改进: 修正了一个ipfilter.dat的兼容问题(感谢Soorpher)
    核心修正: 修正了内网互联导致上传带宽全满的严重问题。（感谢TB的朋友）
    核心修正: 退出时如果有任务在等待队列中可能会崩溃(感谢Chi Yeong Teoh的错误报告)

v0.55    2004.9.9
    界面改进: Torrent制作时允许自动分块大小
    界面改进: 每次启动的版本检查改成一天只检查一次
    界面修正: 更改任务栏锁定导致出现任务栏图标(感谢xl)
    界面修正: 修正了一个关闭时可能崩溃的问题。
    界面修正: 命令行直接添加任务必须已经开启bc才有效的问题(感谢Yu BOYTHERE)
    界面修正: 放置分割栏时可能崩溃(感谢Cytech-May & Punkrawk的错误报告)
    核心改进: 增加了分享率到达时自动停止任务，以及自动关机等
    核心改进: 增强了内网互联效率，与0.53不兼容
    核心改进: 增加了最大同时TCP连接尝试数，减少XPSP2的连接数限制带来的影响
    核心修正: 修正最小做种上传速度对下载任务也生效的问题
    核心修正: 修正任务停止以后继续连接Tracker的问题(感谢孤波)
    核心修正: 更改某些tracker时候可能会崩溃(感谢xx的错误报告)
    核心修正: 文件边界写入时可能线程冲突导致崩溃(感谢wluck的错误报告)
    核心修正: 退出时如果有任务在等待队列中可能会崩溃(感谢Asem Mohamed的错误报告)
    核心修正: 计算速度时可能会崩溃(感谢trudy的错误报告)
    核心修正: 修正了运算溢出导致的崩溃。(感谢黄侃的错误报告)
    核心修正: 修正了和AZ/Official等种子的过短的超时断开

v0.54    2004.8.21
    界面改进: 全局/单任务的至少3KB/s上传规则(感谢DreadWingKnight)
    界面改进: 封IP时允许多选(感谢CH)
    界面改进: 文件列表中已经下载好的文件没有必要再显示其下载优先级(感谢yowlin)
    界面改进: 任务列表里增加"种子文件另存为"
    核心改进: 实现内网互联(初步测试中)
    核心改进: 将错误报告放入正式版中。
    核心改进: 用临时文件夹缓存广告，减少带宽占用，每隔一星期清理一次。
    核心改进: 全部任务都上传时不再打开所有通道，而是仅仅向保持连接的部分客户上传
    核心改进: 支持UDP Tracker v2
    核心改进: torrent文件编码修正了与Azureus的utf8兼容问题(感谢Henrique Vianna)
    核心变化: 因失效去掉备用tracker的缺省值(感谢x)
    核心修正: 制作torrent可能不能支持>4G文件的问题
    核心修正: 0731测试版的多端口tracker配置导致崩溃的问题
    核心修正: 支持多tracker协议的3种格式，分组连接(感谢DreadWingKnight)
    核心修正: HTTP请求HOST的bug，修复nipponsei.levillage.org连接问题(感谢AndyGod)
    核心修正: HTTP重定向bug，修复TorrentBits.org连接问题(感谢HiTechOutlaw)
    核心修正: 修复bt.edwardk.info连接问题(感谢fftfelix)
    核心修正: 修正了制作种子时忽略空文件的问题(感谢5Q 月影)

v0.53    2004.6.15
    界面修正: 修正了很多很多的界面崩溃问题，增加了基本的对内存分配失败的捕捉。
    界面改进: 栏目名称和位置调整(感谢stisev)
    界面改进: 允许新增任务直接进入暂停状态
    界面改进: 对beta版增加错误报告以帮助调试。
    界面改进: 制作种子后加载任务并暂停
    界面改进: 下载速度超过1MB/s-2MB/s后依然保持运行流畅。(感谢GHOSTOPOST大力帮助)
    界面改进: 防止非XP系统的界面闪烁
    界面改进: 任务运行时防止进入挂起/休眠
    界面改进: 命令行加入参数 /? /s /m /tray /output <file>
    界面改进: 选项上直接编辑备用tracker
    核心改进: 限制连接发起速度为每秒4个
    核心改进: 加入缺省最小做种上传值，避免做种时0上传
    核心改进: 队列改进，以及全部暂停、全部继续修正(感谢 Kameraman)
    核心改进: 加入下载者组群聊天，支持私聊，并支持聊天室
    核心改进: 允许任务完成时自动再次扫描确保完整
    核心改进: 防止仅仅向少数Peer上传导致在低上传的环境下(<60k)下载速度下降。
    核心改进: 防止下载任务不需要上传，上传任务却没有上传。（感谢ulion）
    核心改进: 不影响下载的同时减小向tracker请求的频率，减少tracker的负担。（感谢ulion）
    核心改进: 允许手动在一段时间之内拒绝Peer连接
    核心改进: 允许根据ipfilter.dat文件(和eMule兼容)封危险IP(感谢Adam Thirnis)
    核心改进: 识别发送错误数据的Peer并自动在一段时间之内拒绝Peer连接
    核心修正: 对compact模式tracker返回信息分析有误，如greedland
    核心修正: 预分配没有立刻分配（感谢windy）
    核心修正: 在tracker列表存在时没有添加主tracker（感谢Henry）
    核心修正: 修正了UPnP自动端口映射对某些硬件路由器失败的问题（感谢btchina资助购买路由器）
    核心修正: 修正了UPnP找不到服务的问题（感谢BK->NEW()）
    核心修正: 修正了自动端口映射不能正确释放
    核心修正: 删除XML文件,开启BC手动检查,检查完毕之后，点击开始会重复检查（感谢lqbn）
    核心修正: 在手动加入任务做种时不会移至上传队列（感谢Kameraman）
    核心修正: 自动开始任务如果下载低于无效
    核心修正: 扫描时文件边界被不正确忽略，可能修正了循环扫描bug
    核心修正: 防止过大的磁盘缓存导致系统内存不足，bitcomet异常退出。
    核心修正: 大文件后面的小文件可能100%却字节为0，要等到大文件下载完成才正常。（感谢c-j-z）
    核心修正(重要): 过短的超时导致断开与使用官方内核的种子的连接（感谢ulion）
    核心修正(重要): 可能下载到不完整的文件
    核心修正(重要): 对tracker的端口检查没有响应，导致被部分tracker认为是内网客户。(再次发生 :( )

v0.52    2004.4.23
    界面改进: 保存分栏顺序
    界面改进: 状态图标区分连接服务器和连接客户。
    界面改进: 对在队列中的任务再点一次开始将强制任务开始。（感谢fan_chenwen）
    界面改进: 添加新任务改为由上往下堆叠。（感谢Kameraman）
    界面改进: 允许BitComet启动时自动开始任务（感谢Kameraman）
    界面修正: 同时下载任务数改变不能立刻生效。（感谢windy）
    界面修正: 如果最小化到系统托盘然后退出会导致下次工具栏消失。（感谢Terence Tam）
    界面修正: 改变Torrent编码后，对于保存位置及备注的部份无效。（感谢kkj，Kameraman）
    界面修正: 不选“最小化到托盘”并选择“退出时确认”导致最小化到任务栏后右键关闭提示确认框不显示。（感谢charlesyc）
    界面修正: 0字节的文件，其百分比仍旧显示为0.0%。（感谢Kameraman）
    核心改进: 下载中尝试为文件预留磁盘空间，从而几乎不产生磁盘碎片
    核心修正: 速度统计算法改变，更准确但费资源
    核心修正: 重新检查文件完整性后Peer记录消失(感谢Kameraman)
    核心修正: torrent包含0字节文件时，该文件可能没有被创建
    核心修正: 删除任务的时候选择同时删除文件会导致下载子目录被全部删除,包括其他文件（感谢流氓诗人）
    核心修正: 扫描快结束时可能异常退出并且任务没有正确被启动
    核心修正: Torrent属性里的最小保证上传值有的时候无效

v0.51    2004.4.13
    界面改变: 主界面菜单增加广告支持
    界面改进: 任务栏气球提示下载完成（win2000以上）
    界面修正: 在属性里面的高级页里选上了“最大允许上传值”出现在“下载速度”里。（感谢charlesyc）
    界面修正: 当任务栏没有选中的时候，点击工具栏上的查看或属性按钮就会出错退出。（感谢xChiNa）
    界面修正: 添加任务的常规页面硬盘剩余空间有误。（感谢spcat2000,happyfa97）
    核心修正: 删除任务时错误将本应是0字节的文件删除（感谢Kraken）
    核心改进: 新添加任务时允许选择torrent的编码代码页
    核心改进: 任务队列的排序按显示顺序，靠上的任务优先启动
    核心改进: 解决0.50中torrent内文件过多造成的无响应
    核心修正: 停止时没有保存连接信息
    核心修正: 无法打开torrent直接做种, 选做种浏览也要扫描（感谢Windforce）
    核心修正: 做种或下载完成后依然是读写状态（感谢coolsnowwolf）
    核心修正: 对一个任务2次开始导致错误（感谢windy）


v0.50    2004.4.8
    界面改变: 支持小图片广告
    界面改进: 保存是否显示工具栏的选择（感谢 eblade）
    界面改进: 感谢orochi和SiC设计的漂亮的界面
    界面修正: 文件选择对话框中右键察看驱动器属性会出错退出。（感谢 littlefoxes）
    界面修正: 设置好的版面不能保存。（感谢 KELVEN13）
    核心改进: torrent格式新增发布者信息扩展
    核心改进: 每个任务允许独立控制上传速度
    核心改进: 增加一个简单的队列系统，允许设置最大同时下载任务数
    核心改进: 文件下载优先级控制
    核心修正: 随机监听端口不允许大于32767，避免交换机/路由器不支持（感谢 Xing Zhanfeng）
    核心修正: 全局统计中流量计数当超过2G后会溢出自动回0（感谢 wpeng）
    核心修正: 文件按块分配，不会再卡住，同时减少磁盘碎片
    核心修正: 用开启gzip的tracker的时候可能会出现解码错误（感谢 ihf）
    核心修正: 上传包大小可调（感谢 易龙一号）
    核心修正: 续传其他bt下载会丢失进度

v0.49    2004.3.3
    界面改进: 文件改变时提示扫描
    界面改进: Ctrl+Delete 删除任务以及文件
    界面修正: 重复加载任务造成任务消失（感谢bigjumbo）
    核心改进: 根据下载速度自动调整缓存大小，并将默认最大值设置为50M
    核心改进: 修正上传通道控制bug，并为慢速连接优化上传通道控制
    核心改进: 自动配置XP的网络共享和防火墙(ICS/ICF)
    核心改进: 当仅对Tracker使用http代理时，使用GET方法而不是Connect
    核心修正: 未预先分配空间下载时会产生磁盘剩余空间过度减少 (感谢 QQQee)
    核心修正: DSL/Cable用户上传瞬时值太大导致下载速度和其他网络程序受到影响
    核心修正: 缓存空的时候可能错误退出
    核心修正: 修正了DSL/Cable用户无法使用UPnP自动端口映射的问题（感谢wxhere ~_~）

v0.48    2004.2.18
    界面改进: 恢复上一次对收藏夹的选择状态
    界面改进: 删除任务和文件时提示确认
    界面改进: Peer列表按IP排序
    核心修正(重要): 做种时连不上用户
    核心修正(重要): 对tracker的端口检查没有响应，导致被部分tracker认为是内网客户。(感谢stanhopea)

v0.47    2004.2.17
    发布后因连接bug撤回，为避免引起混乱，跳过该版本。

v0.46    2004.2.14
    界面改进: 下载内容大小超过4G计算有误（感谢Zergling）
    核心修正: 仅仅提供上传时可能允许的连接数过少（感谢霸天）
    核心修正(重要): 缓存bug导致很多数据被认为是错误而重复下载

v0.45    2004.2.13
    核心改进: 新增一个torrent制作工具，支持utf-8编码
    界面改进: 删除时分为“连同文件一起删除”还是仅仅“删除项目”
    界面改进: 部分文件有选择的下载的功能增加全选/全取消的右键菜单
    界面改进: 增添了工具栏，并略微美化了界面
    界面改进: Ctrl加上下键可以移动任务 ( 感谢 xsintill )
    界面改进: 选择下载时完成率按照所选文件完成情况计算。
    核心改进: 自动上传通道管理,对不同特点的连接优化速度
    核心改进: 删除任务时删除尚未开始下载的文件
    核心改进: 当文件I/O错误或磁盘满，停止该文件下载
    核心改进: 允许运行时改变下载选择
    核心改进: 续传前检查文件是否被改变并提示
    核心改进: 优化磁盘缓存交换算法，防止小缓存抖动造成硬盘狂转现象
    核心改进: 优化磁盘缓存内存管理，并允许设定最小值，最大值，最小空闲物理内存值
              修正了长时间下载大文件导致系统的剩余物理内存越来越少,系统变得越来越慢的问题
    核心改进: 缓存.Torrents文件的时候改名为下载文件的名字并防止重名覆盖
    核心改进: 支持Socks4, socks5, http/https代理，允许仅仅对tracker使用代理
    核心修正: 同名Torrent会覆盖Torrent目录里的文件造成列表不正常 (感谢 spcat2000)
    核心修正: 重复点击同一个torrent并确定造成下载进度归0 (感谢 zeng777)
    核心修正: 当选择不下载位于最后的小文件时，上一个大文件会出现下载不完的情况。(感谢Yesherly)
    核心修正(重要): 每隔几分钟可能发送错误的请求REQUEST，导致连接被其他Peer断开

v0.44    2004.1.9
    界面改进: 可以辨认BitSpirit和BitTorrent Plus
    核心改进: 增加正在连接的Peer统计
    核心修正(重要): 修正了0.43独有的Peer越来越少，速度原来越慢问题
    核心修正(重要): Peer通信的安全性检查

v0.43    2004.1.5
    制作出Windows 98/Me/2000/XP 通用的单一安装包。
    界面改进: 记忆主窗口大小和位置，系统托盘单键激活。(Thanks to 刘巍, lurenyi)
    核心改进: 对国内多端口Tracker进行连接优化。
    核心改进: 允许禁止读操作缓存。
    核心改进: 手动检查完整性时不分配读缓存。
    界面修正: 启动和退出时进行UPnP操作时100%的CPU占用。
    核心修正: 当保存位置改变时先尝试打开不加.bc!后缀的文件。
    核心修正(重要): 多文件下载时，下载文件名出现.bc!.bc!后缀并导致不能续传。
    核心修正(重要): 当选择不下载torrent文件中的某个小文件时，相邻的文件可能下载不全。且当这个小文件位于第一个时，会非法错误。(Thanks to GDIMk)

v0.42    2004.1.1
之前更新请看英文changelog.txt
